package com.bcxin.tenant.open.document.domains.documents;

import com.redis.om.spring.metamodel.MetamodelField;
import com.redis.om.spring.metamodel.SearchFieldAccessor;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedBooleanField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTextField;
import java.lang.Boolean;
import java.lang.NoSuchFieldException;
import java.lang.SecurityException;
import java.lang.String;
import java.lang.reflect.Field;

public final class TenantAccountDocument$ {
  public static Field deviceNo;

  public static Field sosEnabled;

  public static Field employeeId;

  public static Field sosKey;

  public static Field title;

  public static Field logo;

  public static NonIndexedTextField<TenantAccountDocument, String> DEVICE_NO;

  public static NonIndexedBooleanField<TenantAccountDocument, Boolean> SOS_ENABLED;

  public static NonIndexedTextField<TenantAccountDocument, String> EMPLOYEE_ID;

  public static NonIndexedTextField<TenantAccountDocument, String> SOS_KEY;

  public static NonIndexedTextField<TenantAccountDocument, String> TITLE;

  public static NonIndexedTextField<TenantAccountDocument, String> LOGO;

  public static MetamodelField<TenantAccountDocument, String> _KEY;

  static {
    try {
      deviceNo = TenantAccountDocument.class.getDeclaredField("deviceNo");
      sosEnabled = TenantAccountDocument.class.getDeclaredField("sosEnabled");
      employeeId = TenantAccountDocument.class.getDeclaredField("employeeId");
      sosKey = TenantAccountDocument.class.getDeclaredField("sosKey");
      title = TenantAccountDocument.class.getDeclaredField("title");
      logo = TenantAccountDocument.class.getDeclaredField("logo");
      DEVICE_NO = new NonIndexedTextField<TenantAccountDocument, String>(new SearchFieldAccessor("deviceNo", deviceNo),false);
      SOS_ENABLED = new NonIndexedBooleanField<TenantAccountDocument, Boolean>(new SearchFieldAccessor("sosEnabled", sosEnabled),false);
      EMPLOYEE_ID = new NonIndexedTextField<TenantAccountDocument, String>(new SearchFieldAccessor("employeeId", employeeId),false);
      SOS_KEY = new NonIndexedTextField<TenantAccountDocument, String>(new SearchFieldAccessor("sosKey", sosKey),false);
      TITLE = new NonIndexedTextField<TenantAccountDocument, String>(new SearchFieldAccessor("title", title),false);
      LOGO = new NonIndexedTextField<TenantAccountDocument, String>(new SearchFieldAccessor("logo", logo),false);
      _KEY = new MetamodelField<TenantAccountDocument, String>("__key", String.class, true);
    } catch(NoSuchFieldException | SecurityException e) {
      System.err.println(e.getMessage());
    }
  }
}
